pub mod core;
pub use core::parser::document as parse;

#[cfg(test)]
mod test {
    use crate::{core::element::Render, parse};

    #[test]
    fn string_escape() {
        std::fs::write(
            "string_escape.html",
            parse(&std::fs::read_to_string("examples/string_escape.lisp").unwrap())
                .0
                .render(),
        )
        .unwrap();
    }
}
